### Method

# Gtk TreeSortableget_sort_column_id

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_sortable_get_sort_column_id (
      GtkTreeSortable* sortable,
      int* sort_column_id,
      GtkSortType* order
    )

#### Description [src]

Fills in `sort_column_id` and `order` with the current sort column and the order. It returns `TRUE` unless the `sort_column_id` is `GTK_TREE_SORTABLE_DEFAULT_SORT_COLUMN_ID` or `GTK_TREE_SORTABLE_UNSORTED_SORT_COLUMN_ID`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`sort_column_id`

  Type: `int*`

  The sort column id to be filled in.

  The argument will be set by the function.

`order`

  Type: `GtkSortType`

  The `GtkSortType` to be filled in.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the sort column is not one of the special sort column ids.